Module java.desktop
Package javax.swing

## Class UIManager.LookAndFeelInfo

- java.lang.Object
- - javax.swing.UIManager.LookAndFeelInfo

Enclosing class:
  UIManager

    public static class UIManager.LookAndFeelInfo
    extends Object

Provides a little information about an installed `LookAndFeel` for the sake of configuring a menu or for initial application set up.

See Also:
  `UIManager.getInstalledLookAndFeels()`, `LookAndFeel`

### Constructor Summary

Constructors
`LookAndFeelInfo​(String name, String className)` Constructs a `UIManager`s `LookAndFeelInfo` object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getClassName()` Returns the name of the class that implements this look and feel.
`String` `getName()` Returns the name of the look and feel in a form suitable for a menu or other presentation
`String` `toString()` Returns a string that displays and identifies this object's properties.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LookAndFeelInfo

    public LookAndFeelInfo​(String name,
                           String className)

Constructs a `UIManager`s `LookAndFeelInfo` object.

Parameters:
  `name` - a `String` specifying the name of the look and feel
  `className` - a `String` specifying the name of the class that implements the look and feel

### Method Detail

#### getName

    public String getName()

Returns the name of the look and feel in a form suitable for a menu or other presentation

Returns:
  a `String` containing the name
See Also:
  `LookAndFeel.getName()`

#### getClassName

    public String getClassName()

Returns the name of the class that implements this look and feel.

Returns:
  the name of the class that implements this `LookAndFeel`
See Also:
  `LookAndFeel`

#### toString

    public String toString()

Returns a string that displays and identifies this object's properties.

Overrides:
  `toString` in class `Object`
Returns:
  a `String` representation of this object